Skip to content

Text Messaging API

Submit a registration for a text messaging sender

POSThttps://email.growthdept.ai/api/text-messaging-sender-registrations

The request body can be up to 5 MB.

Rate limits

Burst: 1/s

Steady: 15/m

Tier XS. See rate limits for how requests are counted.

Scopes

sender-config:write

Operation id

create_text_messaging_sender_registration The same operation as in Klaviyo's API. OpenAPI document

Query parameters

array of strings

Attributes of text-messaging-sender-registration resources to return.

Sparse fieldsets guide

Pick values to add them to the request:

array of strings

Attributes of text-messaging-sender resources to return.

Sparse fieldsets guide

Pick values to add them to the request:

array of strings

Related resources to side-load.

Includes guide

Pick values to add them to the request:

Body

Send application/vnd.api+json or application/json.

object

  • dataobjectrequired

    data: 5 fields
    • typestringrequired

      text-messaging-sender-registration
    • idstring

    • attributesobjectrequired

      attributes: 14 fields
      • first_namestringrequired

      • last_namestringrequired

      • phone_numberstringrequired

      • emailstring (email)required

      • addressobjectrequired

        address: 6 fields
        • street_address_1stringrequired

        • street_address_2string

        • citystringrequired

        • regionstringrequired

        • postal_codestringrequired

        • countrystringrequired

      • business_typestringrequired

        GOVERNMENTNON_PROFITPRIVATE_PROFITPUBLIC_PROFITSOLE_PROPRIETOR
      • business_namestringrequired

      • business_websitestringrequired

      • doing_business_asstring

      • business_registration_countrystring

      • business_registration_authoritystring

      • business_registration_numberstring

      • privacy_policy_urlstring

      • terms_of_service_urlstring

    • relationshipsobject

      relationships: 1 field
      • text-messaging-senderobjectrequired

        text-messaging-sender: 1 field
        • dataobjectrequired

          data: 2 fields
          • typestringrequired

            text-messaging-sender
          • idstringrequired

    • metaobject

Edit the example. The code samples use what you type here.

Headers

stringrequireddefault 2026-10-15

API revision, YYYY-MM-DD. This server implements 2026-10-15.

Revisions guide

Responses

201Success

Response body

object

  • dataobjectrequired

    data: 5 fields
    • typestringrequired

      text-messaging-sender-registration
    • idstringrequired

    • attributesobjectrequired

      attributes: 6 fields
      • statusstringrequired

        action_requiredapprovedin_reviewrejected
      • failuresarray of objectsrequired

        failures: 1 field
        • detailstringrequired

      • created_atstring (date-time)required

      • updated_atstring (date-time)required

      • submitted_atstring (date-time)can be null

      • decided_atstring (date-time)can be null

    • relationshipsobject

      relationships: 1 field
      • text-messaging-senderobject

        text-messaging-sender: 2 fields
        • dataobject

          data: 2 fields
          • typestringrequired

            text-messaging-sender
          • idstringrequired

        • linksobject

          links: 2 fields
          • selfstring (uri)required

          • relatedstring (uri)required

    • linksobjectrequired

      links: 1 field
      • selfstring (uri)required

  • includedarray of objects

    included: 5 fields
    • typestringrequired

      text-messaging-sender
    • idstringrequired

    • attributesobjectrequired

      attributes: 6 fields
      • sender_typestringrequired

        alphalong_codeshort_codetoll_freevanity_short_code
      • sender_detailsobjectrequired

        sender_details: 1 field
        • countrystringrequired

      • statusstringrequired

        activepending_registrationregisteringregistration_failedsuspended
      • created_atstring (date-time)required

      • forwarding_numberstringcan be null

      • sender_identifierstringcan be null

    • relationshipsobject

      relationships: 1 field
      • text-messaging-sender-registrationobject

        text-messaging-sender-registration: 2 fields
        • dataobject

          data: 2 fields
          • typestringrequired

            text-messaging-sender-registration
          • idstringrequired

        • linksobject

          links: 2 fields
          • selfstring (uri)required

          • relatedstring (uri)required

    • linksobjectrequired

      links: 1 field
      • selfstring (uri)required

  • linksobject

    links: 1 field
    • selfstring (uri)required

  • metaobject

4XXClient error

Response body

object

  • errorsarray of objectsrequired

    errors: 8 fields
    • idstringrequired

    • statusintegerrequired

    • codestringrequired

    • titlestringrequired

    • detailstringrequired

    • sourceobject

      source: 2 fields
      • pointerstring

      • parameterstring

    • linksobject

    • metaobject

See status codes for each code.

5XXServer error

Response body

object

  • errorsarray of objectsrequired

    errors: 8 fields
    • idstringrequired

    • statusintegerrequired

    • codestringrequired

    • titlestringrequired

    • detailstringrequired

    • sourceobject

      source: 2 fields
      • pointerstring

      • parameterstring

    • linksobject

    • metaobject